archivers/gzrecover - The NetBSD Packages Collection

GZip Recovery Toolkit

So you thought you had your files backed up onto that jaz cartridge -
until it came time to restore. Then you found out that you had bad
sectors and you've lost almost everything because gzip craps out 10%
of the way through your archive. The gzip Recovery Toolkit has a program
- gzrecover - that attempts to skip over bad data in a gzip archive and
to GNU tar that enables that program to skip over bad data and extract
whatever files might be there.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfgzrecover-0.8.tgz
NetBSD 8.0earmv7hfgzrecover-0.8.tgz
NetBSD 8.0earmv7hfgzrecover-0.8.tgz
NetBSD 8.0i386gzrecover-0.8.tgz
NetBSD 8.0i386gzrecover-0.8.tgz
NetBSD 8.0powerpcgzrecover-0.8.tgz
NetBSD 8.0powerpcgzrecover-0.8.tgz
NetBSD 8.0powerpcgzrecover-0.8.tgz
NetBSD 8.0powerpcgzrecover-0.8.tgz
NetBSD 8.0x86_64gzrecover-0.8.tgz
NetBSD 8.0x86_64gzrecover-0.8.tgz
NetBSD 9.0aarch64gzrecover-0.8.tgz
NetBSD 9.0aarch64gzrecover-0.8.tgz
NetBSD 9.0aarch64gzrecover-0.8.tgz
NetBSD 9.0alphagzrecover-0.8.tgz
NetBSD 9.0alphagzrecover-0.8.tgz
NetBSD 9.0alphagzrecover-0.8.tgz
NetBSD 9.0earmgzrecover-0.8.tgz
NetBSD 9.0earmgzrecover-0.8.tgz
NetBSD 9.0earmgzrecover-0.8.tgz
NetBSD 9.0earmv6hfgzrecover-0.8.tgz
NetBSD 9.0earmv6hfgzrecover-0.8.tgz
NetBSD 9.0earmv6hfgzrecover-0.8.tgz
NetBSD 9.0earmv7hfgzrecover-0.8.tgz
NetBSD 9.0earmv7hfgzrecover-0.8.tgz
NetBSD 9.0earmv7hfgzrecover-0.8.tgz
NetBSD 9.0earmv7hfgzrecover-0.8.tgz
NetBSD 9.0i386gzrecover-0.8.tgz
NetBSD 9.0i386gzrecover-0.8.tgz
NetBSD 9.0mips64ebgzrecover-0.8.tgz
NetBSD 9.0mips64ebgzrecover-0.8.tgz
NetBSD 9.0mips64ebgzrecover-0.8.tgz
NetBSD 9.0mips64ebgzrecover-0.8.tgz
NetBSD 9.0mips64ebgzrecover-0.8.tgz
NetBSD 9.0powerpcgzrecover-0.8.tgz
NetBSD 9.0powerpcgzrecover-0.8.tgz
NetBSD 9.0powerpcgzrecover-0.8.tgz
NetBSD 9.0powerpcgzrecover-0.8.tgz
NetBSD 9.0sparc64gzrecover-0.8.tgz
NetBSD 9.0sparc64gzrecover-0.8.tgz
NetBSD 9.0sparc64gzrecover-0.8.tgz
NetBSD 9.0sparcgzrecover-0.8.tgz
NetBSD 9.0sparcgzrecover-0.8.tgz
NetBSD 9.0sparcgzrecover-0.8.tgz
NetBSD 9.0sparcgzrecover-0.8.tgz
NetBSD 9.0sparcgzrecover-0.8.tgz
NetBSD 9.0vaxgzrecover-0.8.tgz
NetBSD 9.0vaxgzrecover-0.8.tgz
NetBSD 9.0vaxgzrecover-0.8.tgz
NetBSD 9.0x86_64gzrecover-0.8.tgz
NetBSD 9.0x86_64gzrecover-0.8.tgz
NetBSD 9.0x86_64gzrecover-0.8.tgz
NetBSD 9.0x86_64gzrecover-0.8.tgz
NetBSD 9.0x86_64gzrecover-0.8.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.